# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name WebService-MCBouncer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Query MCBouncer API for Minecraft bans
Group: Development/Perl
License: perl
URL: https://github.com/bigpresh/WebService-MCBouncer/

Source0: http://cpan.org.ua/authors/id/B/BI/BIGPRESH/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
MCBouncer is a service allowing Minecraft server
administrators to share details of bans and notes about abusive users.

MCBouncer provides a server mod to use with the service, but also provides
an API to query for bans / notes using an API key, obtained when you
add a server to the list via the website.

This module uses the API to allow you to fetch details of bans or notes about
users.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/W*

%changelog
* Thu Apr 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

